Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisInstructionEncodingInfo_ Struct Reference

Defines the ZydisInstructionEncodingInfo struct. More...

`#include <DecoderData.h>`

## Data Fields
ZydisInstructionEncodingFlags | flags
| Contains flags with information about the physical instruction-encoding.
struct { |
ZyanU8 size [3] |
| The size of the displacement value. More...
} | disp
| Displacement info.
struct { |
ZyanU8 size [3] |
| The size of the immediate value. More...
ZyanBool is_signed |
| Signals, if the value is signed. More...
ZyanBool is_relative |
| Signals, if the value is a relative offset. More...
} | imm [2]
| Immediate info.

## Detailed Description

Defines the ZydisInstructionEncodingInfo struct.

## Field Documentation

## ◆ [struct]

struct { ... } disp

Displacement info.

## ◆ flags

ZydisInstructionEncodingFlags flags

Contains flags with information about the physical instruction-encoding.

## ◆ [struct]

struct { ... } imm[2]

Immediate info.

## ◆ is_relative

ZyanBool is_relative

Signals, if the value is a relative offset.

## ◆ is_signed

ZyanBool is_signed

Signals, if the value is signed.

## ◆ size

ZyanU8 size[3]

The size of the displacement value.

The size of the immediate value.

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/DecoderData.h